<template>
  <button type="button" @click="action">{{ value }}</button>
</template>

<script>
export default {
  name: 'PrimeButton',
  props: {
    value: {
      type: String,
    },
  },
  methods: {
    action() {
      this.$emit('action');
    },
  },

};
</script>

<style scoped lang="scss">

button{
  width: 154px;
  height: 42px;
  font-family: 'Roboto', sans-serif;
  font-size: 2em;
  border: none;
  border-radius: 6px;
  background-color: $custom_red;
  color: #FFFFFF;
}

button:hover{
  opacity: 0.8;
}

</style>
